summaryrefslogtreecommitdiffhomepage
path: root/subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2019-01-19 11:20:41 +0000
committerLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2019-01-19 11:20:41 +0000
commitf84af6332d7d46223168067326916b504d0ace4d (patch)
tree733c00acb6063950974f0152548ae72830aef0d2 /subr
parentd44b2b7cc65a741659b3861220318508245f3df6 (diff)
downloadmidipix_build-f84af6332d7d46223168067326916b504d0ace4d.tar.bz2
midipix_build-f84af6332d7d46223168067326916b504d0ace4d.tar.xz
etc/build.usage, subr/build_args.subr: -D {t{bz2,gz,xz},zipdist} implies -D minipix.
Diffstat (limited to 'subr')
-rw-r--r--subr/build_args.subr8
1 files changed, 8 insertions, 0 deletions
diff --git a/subr/build_args.subr b/subr/build_args.subr
index 5cdc63b9..2f18a5dd 100644
--- a/subr/build_args.subr
+++ b/subr/build_args.subr
@@ -56,6 +56,14 @@ build_args() {
shift;
fi;
done;
+ if ex_rtl_lmatch "${ARG_DIST}" , tbz2 \
+ || ex_rtl_lmatch "${ARG_DIST}" , tgz \
+ || ex_rtl_lmatch "${ARG_DIST}" , txz \
+ || ex_rtl_lmatch "${ARG_DIST}" , zipdist; then
+ if ! ex_rtl_lmatch "${ARG_DIST}" , minipix; then
+ ARG_DIST="${ARG_DIST:+${ARG_DIST},}minipix";
+ fi;
+ fi;
if [ -n "${ARG_RESTART}" ]; then
if [ "${ARG_RESTART%:*}" != "${ARG_RESTART}" ]; then
ARG_RESTART_AT="${ARG_RESTART#*:}"; ARG_RESTART="${ARG_RESTART%:*}";